if not modules then modules = { } end modules ['t-annotation'] = {
    version   = 1.000,
    comment   = "Annotations",
    author    = "Wolfgang Schuster",
    copyright = "Wolfgang Schuster",
    license   = "GNU General Public License"
}

thirddata            = thirddata            or {}
thirddata.annotation = thirddata.annotation or {}

local annotation = thirddata.annotation

annotation.empty = true

function annotation.open()
    annotation.export = io.open(file.addsuffix(table.concat({tex.jobname,"annotation"},"-"),"txt"),"wb")
end

function annotation.write(title,content)
    local title, content = title:strip(), content
    if annotation.empty == true then
        annotation.open()
        annotation.empty = false
    else
        annotation.export:write("\n\n")
    end
    if title ~= "" then
        annotation.export:write(title)
        for i=0,#title do
            if i == 0 then
                annotation.export:write("\n")
            elseif i == #title then
                annotation.export:write("-\n\n")
            else
                annotation.export:write("-")
            end
        end
        content = content:gsub(" \\par ","\n\n")
        annotation.export:write(content)
    end
end

--~ function annotation.write(title,content)
--~     local title, content = title:strip(), content
--~     if annotation.empty == true then
--~         annotation.open()
--~         annotation.empty = false
--~     else
--~         annotation.export:write("\n")
--~     end
--~     annotation.export:write(title.." "..content)
--~ end
